function contour_gradient_graph(phi)

[X,Y] = meshgrid(-2*pi:.1:2*pi,-2*pi:.1:2*pi);

Z = feval(phi,X,Y);
[C,h] = contour(X,Y,Z);
% hold on
% v = -2*pi:0.75:2*pi;
% [x,y] = meshgrid(v);
% z = feval(phi,x,y);
% [px,py] = gradient(z,.75,.75);
% contour(v,v,z), quiver(v,v,-px,-py), hold off
